std::__detail::_List_node_base(3cxx)

NAME
std::__detail::_List_node_base - Common part of a node in the list.

SYNOPSIS

#include <list>

Inherited by std::_List_node< _Tp >, std::__detail::_List_node_header, and std::__detail::_Scratch_list.

  Public Member Functions

void _M_hook (_List_node_base *const __position) noexcept
void _M_reverse () noexcept
void _M_transfer (_List_node_base *const __first, _List_node_base *const __last) noexcept
void _M_unhook () noexcept

  Static Public Member Functions

static void swap (_List_node_base &__x, _List_node_base &__y) noexcept

  Public Attributes

_List_node_base * _M_next
_List_node_base * _M_prev

Detailed Description

Common part of a node in the list.

Author

Generated automatically by Doxygen for libstdc++ from the source code.